Subject: Re: [PATCH] sequencer: remove use of comment character

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Oct 2023 08:35:06 +0900

Elijah Newren <[email-masked]> writes:

> I thought the point of the comment_line_char was so that commit
> messages could have lines starting with '#'.  That rationale doesn't
> apply to the TODO list generation or parsing, and I'm not sure if we
> want to add the same complexity there.

Thanks for a healthy dose of sanity.  I noticed existing use of
comment_line_char everywhere in sequencer.c and assumed we would
want to be consistent, but you are right to point out that they are
all about the COMMIT_EDITMSG kind of thing, and not about what
appears in "sequencer/todo".